<?php

function getCats($cfg) {

    $inDB = cmsDatabase::getInstance();

    $html = '';

    $sql = "SELECT id as value, title as title, NSLevel as level
                       FROM cms_map_cats
                       WHERE published='1' AND NSLevel>0
                       ORDER BY NSLeft
                       LIMIT 500";

    $result = $inDB->query($sql);
    $value1 = $cfg['cat_id'];
    $value2 = $cfg['cats_parent'];


    $select1 = '<label for="bbcats_id" class="control-label">Публиковать в рубрику :</label><select id="bbcats_id" name="bbcats_id" class="form-control"><option value="0" '. ($value1 == 0 ? 'selected="selected"' : '') .'>В рубрики из яндекса</option>';
    $select2 = '<label for="bbcats_parent" class="control-label">Создавать новые рубрики в :</label><select id="bbcats_parent" name="bbcats_parent" class="form-control"><option value="1" '. ($value2 == 1 ? 'selected="selected"' : '') .' >В корне</option>';
    if ($inDB->num_rows($result)) {
        while ($option = $inDB->fetch_assoc($result)) {
            if (isset($option['level']) && $option['level'] >= 1) {
                $option['title'] = str_repeat('--', $option['level'] - 1) . ' ' . $option['title'];
            }
            $select1 .= '<option value="' . htmlspecialchars($option['value']) . '" ' . ($value1 == $option['value'] ? 'selected="selected"' : '') . '>' . $option['title'] . '</option>' . "\n";
            $select2 .= '<option value="' . htmlspecialchars($option['value']) . '" ' . ($value2 == $option['value'] ? 'selected="selected"' : '') . '>' . $option['title'] . '</option>' . "\n";
        }
    }

    $select1 .= '</select>';
    $select2 .= '</select>';

    return $select1 . $select2;
}

define('PATH', $_SERVER['DOCUMENT_ROOT']);
include(PATH . '/core/ajax/ajax_core.php');

$module_id = $inDB->get_field('cms_modules', "content='mod_bm_import_inmaps' AND user=0", 'id');
$cfg = $inCore->loadModuleConfig($module_id);




if ($cfg['show_help']) {
    ?>
    <p>Вы попали на страницу парсинга с сервиса Яндекс.Карт. Тут вы можете не только получить информацию о любых организациях, но и добавить их в базу данных сайта.</p>
    <p>Поменяйте страну если нужно, введите название любого города (например, <b><a href="javascript:void;" onclick="$('#bbcountry').val('Россия');
                $('#bbcity').val('Ижевск');"> Ижевск</a></b> или <b><a href="javascript:void;" onclick="$('#bbcountry').val('Казахстан');
                $('#bbcity').val('Караганда');"> Караганда</a></b>), а ниже - ключевое слово или название рубрики с Яндекс каталога организаций.</p>
    <p>Ключевым словом может быть все что угодно - <b><a href="javascript:void;" onclick="$('#bbkey').val('Пиво');">Пиво,</a></b>
        <b><a href="javascript:void;" onclick="$('#bbkey').val('кафе');"> кафе,</a></b>
        <b><a href="javascript:void;" onclick="$('#bbkey').val('такси');"> такси,</a></b>
        <b><a href="javascript:void;" onclick="$('#bbkey').val('рестораны');"> рестораны</a></b></p>

    <p><b>Ограничения бесплатной версии:</b>
    <ul>
        <li>Максимальное количество обрабатываемых результатов - 100 адресов за один запрос</li>
        <li>На экран выводится максимум 10 организаций</li>
        <li>Не работают мульти запросы (в полной версии при запросе "кафе; ресторан; такси" - формируется три поисковых запроса и результаты выводятся последовательно)</li>
    </ul>
    </p>
    <?php
}
?>
<script language="JavaScript" type="text/javascript" src="http://api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU"></script>
<div class="form-signin">
    <input id="bbcountry" type="text" value="<?php echo $cfg['country']; ?>" placeholder="введите страну" class="form-control" />
    <input id="bbcity" type="text" value="<?php echo $cfg['city']; ?>" placeholder="введите город" class="form-control" />
    <label>
        <input id="onlymycity" type="checkbox"> Лишнее отсеивать
    </label>    <input id="bbkey" type="text" value="<?php echo $cfg['key']; ?>" placeholder="введите рубрику или ключ" class="form-control" />
<?php echo getCats($cfg); ?>
    <label for="bbradius" class="control-label">Радиус поиска (в км) :</label>
    <input id="bbradius" type="text" value="<?php echo $cfg['radius']; ?>" placeholder="радиус поиска" class="form-control" />

    <label for="bblimit" class="control-label">Выводить результатов :</label>
    <input id="bblimit" type="text" value="<?php echo $cfg['limit']; ?>" placeholder="количество результатов" class="form-control" />

    <label>
        <input id="needimport" type="checkbox"> Сразу импортируем
    </label>
    <label>
        <input id="bbchecking" type="checkbox"> Проверять объекты по базе данных сайта
    </label>    
    <label for="bbadd_objects" class="control-label">Если наименование объекта уже встречается в базе, то при добавлении </label>
        <select id="bbadd_objects" name="bbadd_objects" class="form-control">
            <option value="add" <?php if ($cfg['add_objects'] == 'add') echo  'selected="selected"';?> >Создавать новый объект</option>
            <option value="update" <?php if ($cfg['add_objects'] == 'update') echo  'selected="selected"';?> >Добавлять адрес в существующий объект</option>
        </select>
    <br />
    <a href="javascript:void;" class="btn btn-info" onclick="bbparsingstart();">Парсим!</a>
    <div class="btn" id="bb_parsing_progress" style="display: none;"><img src="/images/progress.gif"></div>
</div>
<div id="bb_parse_results"></div>


<script type='text/javascript'>

        function bbparsingstart() {
            $('#bb_parsing_progress').show();
            var bbkey = $('#bbkey').val();
            var bbcity = $('#bbcity').val();
            var bbcountry = $('#bbcountry').val();
            var address = bbcountry + ', ' + bbcity;
            var bbneedimport = $('#needimport').is(':checked');
            var bbonlymycity = $('#onlymycity').is(':checked');
            var bbcats_parent = $('#bbcats_parent').val();
            var bbcats_id = $('#bbcats_id').val();
            var bbadd_objects = $('#bbadd_objects').val();
            var bbradius = $('#bbradius').val();
            var bblimit = $('#bblimit').val();
            var bbchecking = $('#bbchecking').is(':checked');
            
            

            if (bbcountry == '') {
                alert('Не выбрана страна');
                $('#bb_parsing_progress').hide();
                return;
            }
            if (bbcity == '') {
                alert('Не выбран город');
                $('#bb_parsing_progress').hide();
                return;
            }
            if (bbkey == '') {
                alert('Не выбран ключевой запрос');
                $('#bb_parsing_progress').hide();
                return;
            }

            ymaps.geocode(address, {results: 1}).then(function(res) {
                var firstGeoObject = res.geoObjects.get(0);
                var position = firstGeoObject.geometry.getCoordinates();
                bblat = position[0];
                bblng = position[1];
                $.get("/modules/mod_bm_import_inmaps/ajax/go.php", {type: 'parse', key: bbkey, lat: bblat, lng: bblng, needimport: bbneedimport, country: bbcountry, city: bbcity
                    , onlymycity: bbonlymycity
                    , cats_parent: bbcats_parent
                    , cats_id: bbcats_id
                    , add_objects: bbadd_objects
                    , radius: bbradius
                    , limit: bblimit
                   , checking: bbchecking                
                }, function(data) {
                    $("#bb_parse_results").html(data);
                    $("#bb_parse_results").fadeOut('fast').fadeIn('fast');
                    $('#bb_parsing_progress').hide();
                });
            }, function(err) {
                alert('Не удалось определить города ' + bbcity);
                $('#detect_btn').attr('disabled', '').val('Найти координаты');
                $('#bb_parsing_progress').hide();
            })
        }

        function addobject(id) {
            var bbcategory_name = $(id).parent().children('.p_body').children('span').children('.cats').html();
            var bbtitle = $(id).parent().children('h2').html();
            var bbaddr_country = $(id).parent().children('.p_body').children('span').children('.addr_country').html();
            var bbaddr_city = $(id).parent().children('.p_body').children('span').children('.city').html();
            var bbaddr_street = $(id).parent().children('.p_body').children('span').children('.street').html();
            var bbaddr_house = $(id).parent().children('.p_body').children('span').children('.house').html();
            var bbaddr_room = '';
            
            var bbcats_parent = $('#bbcats_parent').val();
            var bbcats_id = $('#bbcats_id').val();
            var bbadd_objects = $('#bbadd_objects').val();
            var bbradius = $('#bbradius').val();
            var bblimit = $('#bblimit').val(); 
            
            
            if ($(id).parent().children('.p_body').children('span').children('.room').length)
            {
                bbaddr_room = $(id).parent().children('.p_body').children('span').children('.room').html();
            }


            var bbhours = '';
            if ($(id).parent().children('.p_body').children('span').children('.hours').length) {
                bbhours = $(id).parent().children('.p_body').children('span').children('.hours').html();
            }

            var bbaddr_lat = $(id).parent().children('.p_body').children('span').children('.lat').html();
            var bbaddr_lng = $(id).parent().children('.p_body').children('span').children('.lng').html();
            if ($(id).parent().children('.p_body').children('p').children('.description').length)
                var bbdescription = $(id).parent().children('.p_body').children('p').children('.description').html();
            var bbcontacts = [];
            var bbemail = '';
            if ($(id).parent().children('.p_body').children('span').children('.email').length)
            {
                bbcontacts['email'] = $(id).parent().children('.p_body').children('span').children('.email').html();
                bbemail = bbcontacts['email'];

            }
            var bbphone = '';
            if ($(id).parent().children('.p_body').children('span').children('.phone').length)
            {
                bbcontacts['phone'] = $(id).parent().children('.p_body').children('span').children('.phone').html();
                bbphone = bbcontacts['phone'];
            }
            var bburl = '';
            if ($(id).parent().children('.p_body').children('span').children('.url').length)
            {
                bbcontacts['url'] = $(id).parent().children('.p_body').children('span').children('.url').html();
                bburl = bbcontacts['url'];
            }
            var bbaddr_phone = '';
            $.post('/modules/mod_bm_import_inmaps/ajax/go.php', {
                type: 'add',
                category_name: bbcategory_name,
                title: bbtitle,
                addr_country: bbaddr_country,
                addr_city: bbaddr_city,
                addr_street: bbaddr_street,
                addr_house: bbaddr_house,
                addr_room: bbaddr_room,
                addr_lat: bbaddr_lat,
                addr_lng: bbaddr_lng,
                phone: bbphone,
                url: bburl,
                email: bbemail,
                description: bbdescription,
                contacts: bbcontacts,
                hours: bbhours
                , cats_parent: bbcats_parent
                , cats_id: bbcats_id
                , add_objects: bbadd_objects
                , radius: bbradius
                , limit: bblimit                              
            }, function(data) {
                $(id).parent().find('.results').html(data).fadeOut('fast').fadeIn('fast');
            })
        }
</script>


<style type="text/css">
    .form-signin input,.form-signin select  {
        margin-bottom: 10px;
    }
    .form-signin .form-control {
        background-color: #FFFFFF;
        border: 1px solid #CCCCCC;
        border-radius: 4px 4px 4px 4px;
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
        color: #555555;
        display: block;
        font-size: 14px;
        height: 34px;
        line-height: 1.42857;
        padding: 6px 12px;
        transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
        vertical-align: middle;
        width: 100%;
        font-size: 16px;
    }
    .form-signin {
        margin: 0 auto;
        max-width: 330px;
        padding: 15px;
    }
    .form-signin label {
        display: inline-block;
        font-weight: bold;
        margin-bottom: 5px;
    }
    .form-signin .btn-info, .p_item  .btn-info{
        background-color: #5BC0DE;
        border-color: #46B8DA;
        color: #FFFFFF;
    }
    .form-signin .btn, .p_item .btn{
        -moz-user-select: none;
        border: 1px solid rgba(0, 0, 0, 0);
        border-radius: 4px 4px 4px 4px;
        cursor: pointer;
        display: inline-block;
        font-size: 14px;
        font-weight: normal;
        line-height: 1.42857;
        margin-bottom: 0;
        padding: 6px 12px;
        text-align: center;
        vertical-align: middle;
        white-space: nowrap;
    }
    .text-center {
        text-align: center;
    }
    .pull-right {
        float: right !important;
    }
    .p_item .btn-success {
        background-color: #5CB85C;
        border-color: #4CAE4C;
        color: #FFFFFF;
    }
</style>
